Skip to main content

Screen an individual against adverse media

GET 

https://api.dilisense.com/v1/media/checkIndividual

The checkIndividual API method searches for individuals that match certain criteria. All categories are returned, even if they contain 0 hits.

Request​

Responses​

Error responses are the same for all endpoints, see Errors.

Example​

Request​

curl --location --request GET 'https://api.dilisense.com/v1/media/checkIndividual?search_all=Boris%20Johnson' \
--header 'x-api-key: <api_key>'

Response: Categories only​

With fetch_articles=false (default).

{
"timestamp": "2024-12-20T14:17:16.843Z",
"total_hits": 3508683,
"news_exposures": {
"violent_crime": {
"category": "violent_crime",
"hits": 28466
},
"terrorism": {
"category": "terrorism",
"hits": 796691
},
"regulatory": {
"category": "regulatory",
"hits": 984492
},
"financial_crime": {
"category": "financial_crime",
"hits": 26088
},
"political": {
"category": "political",
"hits": 1649400
},
"organized_crime": {
"category": "organized_crime",
"hits": 23546
}
}
}

Response: With articles​

With fetch_articles=true.

{
"timestamp": "2024-11-11T14:22:07.447Z",
"total_hits": 801,
"news_exposures": {
"terrorism": {
"category": "terrorism",
"hits": 801,
"articles": [
{
"timestamp": "2024-11-06T08:02:35Z",
"id": "274534:2871",
"language": "en",
"headline": "Boris Johnson ‘fired' …",
"body": "<p>Channel 4 ‘fired' …</p>",
"source_link": "https://www.example.com/news/79685542"
}
]
}
}
}